Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# YesNoCancelDialog Class Reference

Inheritance diagram for YesNoCancelDialog:

List of all members.

## Public Member Functions
def | __init__

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | kw
| ) |  |

    DirectDialog(kw)

    Creates a popup dialog to alert and/or interact with user.
    Some of the main keywords that can be used to customize the dialog:
        Keyword              Definition
        -------              ----------
        text                 Text message/query displayed to user
        geom                 Geometry to be displayed in dialog
        buttonTextList       List of text to show on each button
        buttonGeomList       List of geometry to show on each button
        buttonImageList      List of images to show on each button
        buttonValueList      List of values sent to dialog command for
                     each button.  If value is [] then the
                     ordinal rank of the button is used as
                     its value
        buttonHotKeyList     List of hotkeys to bind to each button.
                     Typing hotkey is equivalent to pressing
                     the corresponding button.
        suppressKeys         Set to true if you wish to suppress keys
                     (i.e. Dialog eats key event), false if
                     you wish Dialog to pass along key event
        buttonSize           4-tuple used to specify custom size for
                     each button (to make bigger then geom/text
                     for example)
        pad                  Space between border and interior graphics
        topPad               Extra space added above text/geom/image
        midPad               Extra space added between text/buttons
        sidePad              Extra space added to either side of
                     text/buttons
        buttonPadSF          Scale factor used to expand/contract
                     button horizontal spacing
        command              Callback command used when a button is
                     pressed.  Value supplied to command
                     depends on values in buttonValueList

     Note: Number of buttons on the dialog depends upon the maximum
           length of any button[Text|Geom|Image|Value]List specified.
           Values of None are substituted for lists that are shorter
           than the max length

Reimplemented from DirectDialog.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties